Bug 245313 - www/py-django-bitfield: Update to 2.0.1
Summary: www/py-django-bitfield: Update to 2.0.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://github.com/disqus/django-bitf...
Keywords:
Depends on:
Blocks: 245309
  Show dependency treegraph
 
Reported: 2020-04-03 10:53 UTC by Kai Knoblich
Modified: 2020-04-17 14:09 UTC (History)
2 users (show)

See Also:


Attachments
py-django-bitfield-2.0.1.patch (1.39 KB, patch)
2020-04-03 10:53 UTC, Kai Knoblich
kai: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Knoblich freebsd_committer 2020-04-03 10:53:17 UTC
Created attachment 213014 [details]
py-django-bitfield-2.0.1.patch

Hi Ruslan,

attached is the patch that updates www/py-django-bitfield to 2.0.1 and assigns it from Django 1.11 (End-of-Life since April) to Django 2.2 (next LTS release, supports only Python 3.5 or newer).

Changes to the port:
~~~~~~~~~~~~~~~~~~~~
* Place the NO_ARCH variable to its intended location according to the PHB.

Changelog:
~~~~~~~~~~
2.0.1 - 2020-01-25:

* Add support for Django 3.0.

2.0.0 - 2020-01-24:

* Drop support for Django versions below 1.10.
* Use _meta.private_fields instead of deprecated _meta.virtual_fields in CompositeBitField.
* Add testing with python 3.6, 3.7 and Django 2.x to travis configuration.


QA:
~~~
- poudriere (11.3-RELEASE amd64 for each py35, py36, py37 and py38 flavor) -> OK
- portlint -> OK
Comment 1 commit-hook freebsd_committer 2020-04-17 14:08:19 UTC
A commit references this bug:

Author: kai
Date: Fri Apr 17 14:07:43 UTC 2020
New revision: 531932
URL: https://svnweb.freebsd.org/changeset/ports/531932

Log:
  www/py-django-bitfield: Update to 2.0.1

  * Also assign the port to Django 2.2 (current LTS release) as Django 1.11 is
    End-of-Life.

  * Sort variables a bit according to the PHB.

  Changelog:

  https://github.com/disqus/django-bitfield/blob/2.0.1/README.rst#changelog

  PR:		245313
  Approved by:	maintainer timeout (14 days)

Changes:
  head/www/py-django-bitfield/Makefile
  head/www/py-django-bitfield/distinfo
Comment 2 Kai Knoblich freebsd_committer 2020-04-17 14:09:07 UTC
Comment on attachment 213014 [details]
py-django-bitfield-2.0.1.patch

^ Triage: Set maintainer-approval to '+' as it's approved via maintainer's timeout.